NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Layer.LayerManager Class Reference

Represents an object that manages layers More...

Inheritance diagram for NXOpen.Layer.LayerManager:
NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void ApplyMoveToLayerToOwningParts (int newLayer, NXOpen.DisplayableObject[] objectArray)
 Move the selected objects to the specified layer in their Owning Parts. More...
 
unsafe void ChangeStates (NXOpen.Layer.StateInfo[] stateArray, bool fitAll)
 Changes the states of the specified layers in the part. More...
 
unsafe void ChangeStates (NXOpen.Layer.StateInfo[] stateArray)
 Changes the states of the specified layers in the part. More...
 
unsafe void CopyObjects (int newLayer, NXOpen.NXObject[] objectArray)
 Copies objects to the specified layer More...
 
unsafe NXOpen.NXObject[] GetAllObjectsOnLayer (int layer)
 Returns all objects on the specified layer. More...
 
unsafe NXOpen.Layer.State GetState (int layer)
 Gets the state of the specified layer. More...
 
unsafe NXOpen.Layer.StateCollection GetStates ()
 Gets the states for all layers in the part. More...
 
unsafe void GetVisibilitiesInView (NXOpen.View view, out NXOpen.Layer.StateInfo[] stateArray)
 Gets the visibility of all layers in a specified view. More...
 
unsafe void MoveDisplayableObjects (int newLayer, NXOpen.DisplayableObject[] objectArray)
 Moves displayable objects to the specified layer. More...
 
unsafe void ResetViewVisibilityToGlobal (NXOpen.View view)
 Resets a view's layer visibility to the global states. More...
 
unsafe void SetObjectsVisibilityOnLayer (NXOpen.View view, NXOpen.Layer.StateInfo[] stateArray, bool doUpdate)
 Sets specified layer(s) visibility in a specified view. More...
 
unsafe void SetState (int layer, NXOpen.Layer.State state)
 Sets the state of the specified layer. More...
 
unsafe void SetState (int layer, NXOpen.Layer.State state, bool fitAll)
 Sets the state of the specified layer. More...
 
unsafe void SetStates (NXOpen.Layer.StateCollection stateCollection, bool fitAll)
 Sets the states for all layers in the part. More...
 
unsafe void SetStates (NXOpen.Layer.StateCollection stateCollection)
 Sets the states for all layers in the part. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 
unsafe int WorkLayer [get, set]
 Returns or sets the work layer. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

Represents an object that manages layers

To obtain an instance of this class, refer to NXOpen.BasePart

Created in NX3.0.0

Member Function Documentation

unsafe void NXOpen.Layer.LayerManager.ApplyMoveToLayerToOwningParts ( int  newLayer,
NXOpen.DisplayableObject[]  objectArray 
)
inline

Move the selected objects to the specified layer in their Owning Parts.

This only works when a single layer has been selected on the Layer Settings dialog.

The owning parts will be fully loaded if they are not already.

Objects of class NXOpen.CAE.CAEEdge , NXOpen.CAE.CAEFace , NXOpen.CAE.CAEVertex , NXOpen.Edge , NXOpen.Face or NXOpen.View may not be moved.

Created in NX7.5.0

License requirements: None.

Parameters
newLayerThe layer in the owning parts to move the objects to
objectArrayThe objects to be moved
unsafe void NXOpen.Layer.LayerManager.ChangeStates ( NXOpen.Layer.StateInfo[]  stateArray,
bool  fitAll 
)
inline

Changes the states of the specified layers in the part.

Note: there must be exactly one work layer. If you change the work layer, you must specify a new work layer. If you set the work layer, the old work layer will be changed to Selectable, unless you specify otherwise. The part must be the displayed part.

Created in NX3.0.0

License requirements: None.

Parameters
stateArrayIndicates the new states for the layers.
fitAllWhether to refit the view to what is visible after the layer states have been changed
unsafe void NXOpen.Layer.LayerManager.ChangeStates ( NXOpen.Layer.StateInfo[]  stateArray)
inline

Changes the states of the specified layers in the part.

Note: there must be exactly one work layer. If you change the work layer, you must specify a new work layer. If you set the work layer, the old work layer will be changed to Selectable, unless you specify otherwise. The part must be the displayed part.

Created in NX3.0.0

License requirements: None.

Parameters
stateArrayIndicates the new states for the layers.
unsafe void NXOpen.Layer.LayerManager.CopyObjects ( int  newLayer,
NXOpen.NXObject[]  objectArray 
)
inline

Copies objects to the specified layer

Objects of class NXOpen.Assemblies.Component , NXOpen.DatumAxis , NXOpen.DatumPlane NXOpen.Edge , NXOpen.Face , NXOpen.Features.Feature or NXOpen.View , may not be copied.

Objects of type UF_cs2_vertex_type may not be copied.

The part must be the work part.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
newLayerThe layer to move the objects to
objectArrayThe objects to be copied
unsafe NXOpen.NXObject [] NXOpen.Layer.LayerManager.GetAllObjectsOnLayer ( int  layer)
inline

Returns all objects on the specified layer.

This includes objects which are not counted as objects on the layer by the "Layer Settings" dialog.

The part must be the displayed part.

Created in NX3.0.0

License requirements: None.

Parameters
layer
Returns
All the objects on the specified layer
unsafe NXOpen.Layer.State NXOpen.Layer.LayerManager.GetState ( int  layer)
inline

Gets the state of the specified layer.

The part must be the displayed part.

Created in NX3.0.0

License requirements: None.

Parameters
layer
Returns
unsafe NXOpen.Layer.StateCollection NXOpen.Layer.LayerManager.GetStates ( )
inline

Gets the states for all layers in the part.

The part must be the displayed part.

Created in NX3.0.0

License requirements: None.

Returns
Indicates the states for all layers in the part.
unsafe void NXOpen.Layer.LayerManager.GetVisibilitiesInView ( NXOpen.View  view,
out NXOpen.Layer.StateInfo[]  stateArray 
)
inline

Gets the visibility of all layers in a specified view.

The part must be the displayed part.

Created in NX4.0.3

License requirements: None.

Parameters
viewThe view object being queried
stateArrayThe current states for the layers. The returned states can only be Layer.State.Visible and Layer.State.Hidden . state_array[i] is for layer i+1
unsafe void NXOpen.Layer.LayerManager.MoveDisplayableObjects ( int  newLayer,
NXOpen.DisplayableObject[]  objectArray 
)
inline

Moves displayable objects to the specified layer.

The specified part may be the displayed part or the work part. If it is the work part but not the displayed part, then none of the objects to be moved may be currently displayed.

This method is the preferred way to change the layer of one or more objects, because NXOpen.DisplayableObject.Layer does not correct the display of the objects and does not work as expected for sketches and components, because it does not move the members of the sketch or component.

Objects of class NXOpen.CAE.CAEEdge , NXOpen.CAE.CAEFace , NXOpen.CAE.CAEVertex , NXOpen.Edge , NXOpen.Face or NXOpen.View may not be moved.

Created in NX5.0.0

License requirements: None.

Parameters
newLayerThe layer to move the objects to
objectArrayThe objects to be moved
unsafe void NXOpen.Layer.LayerManager.ResetViewVisibilityToGlobal ( NXOpen.View  view)
inline

Resets a view's layer visibility to the global states.

The part must be the displayed part.

Created in NX4.0.0

License requirements: None.

Parameters
viewThe view object
unsafe void NXOpen.Layer.LayerManager.SetObjectsVisibilityOnLayer ( NXOpen.View  view,
NXOpen.Layer.StateInfo[]  stateArray,
bool  doUpdate 
)
inline

Sets specified layer(s) visibility in a specified view.

The part must be the displayed part.

Created in NX4.0.0

License requirements: None.

Parameters
viewThe view object being modified
stateArrayThe new states for the layers. The given states may only be Layer.State.Visible and Layer.State.Hidden .
doUpdateWhether to update the view(s) after the layer states have been changed
unsafe void NXOpen.Layer.LayerManager.SetState ( int  layer,
NXOpen.Layer.State  state 
)
inline

Sets the state of the specified layer.

The specified layer must not be the work layer. If you are changing the state of the layer to Work, the old work layer will be changed to Selectable. The part must be the displayed part.

Created in NX3.0.0

License requirements: None.

Parameters
layer
state
unsafe void NXOpen.Layer.LayerManager.SetState ( int  layer,
NXOpen.Layer.State  state,
bool  fitAll 
)
inline

Sets the state of the specified layer.

The specified layer must not be the work layer. If you are changing the state of the layer to Work, the old work layer will be changed to Selectable. The part must be the displayed part.

Created in NX3.0.0

License requirements: None.

Parameters
layer
state
fitAllWhether to refit the view to what is visible after the layer state has been changed
unsafe void NXOpen.Layer.LayerManager.SetStates ( NXOpen.Layer.StateCollection  stateCollection,
bool  fitAll 
)
inline

Sets the states for all layers in the part.

The part must be the displayed part. Note: there must be exactly one work layer.

Created in NX3.0.0

License requirements: None.

Parameters
stateCollectionThe states for all layers in the part.
fitAllWhether to refit the view to what is visible after the layer states have been changed
unsafe void NXOpen.Layer.LayerManager.SetStates ( NXOpen.Layer.StateCollection  stateCollection)
inline

Sets the states for all layers in the part.

The part must be the displayed part. Note: there must be exactly one work layer.

Created in NX3.0.0

License requirements: None.

Parameters
stateCollectionThe states for all layers in the part.

Property Documentation

Tag NXOpen.Layer.LayerManager.Tag
get

Returns the tag of this object.

unsafe int NXOpen.Layer.LayerManager.WorkLayer
getset

Returns or sets the work layer.

If you change the work layer, the old work layer is changed to Selectable. The part must be the displayed part.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.